Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 266026 - app-backup/kbackup-0.5.3 fails with gcc-4.3
Summary: app-backup/kbackup-0.5.3 fails with gcc-4.3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Ioannis Aslanidis (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2009-04-13 16:22 UTC by Arttu Valo
Modified: 2009-06-12 11:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arttu Valo 2009-04-13 16:22:59 UTC
app-backup/kbackup-0.5.3 fails with gcc-4.3, but kbackup-0.5.4 seems to work with it. A single line patch fixed 0.5.3 compilation for me:

diff -ur kbackup-0.5.3.old/src/Selector.cxx kbackup-0.5.3/src/Selector.cxx
--- kbackup-0.5.3.old/src/Selector.cxx  2009-04-13 19:05:32.000000000 +0300
+++ kbackup-0.5.3/src/Selector.cxx      2009-04-13 19:09:37.000000000 +0300
@@ -23,6 +23,7 @@
 #include <qdir.h>

 #include <iostream>
+#include <cstdlib>
 using namespace std;
 //--------------------------------------------------------------------------------
Comment 1 Ioannis Aslanidis (RETIRED) gentoo-dev 2009-04-14 09:43:24 UTC
Thanks, I'll check.
Comment 2 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-12 11:58:19 UTC
0.5.4 is under stabilization, so i'll remove 0.5.3 soon from tree.